#!/usr/bin/env startpython
from __future__ import print_function
import sys
import os
import glob
import shutil
import math
from scm.plams import *
from rdkit import Chem

#-----------
# Variables
#-----------

# strings
aString = 'hello'
print aString

aString += ' world'
print aString

aString += '\n' # append a linebreak
print aString 

# numbers
anInt = 1.0        # float
anInt = int(anInt) # integer
print anInt
print  aString + str(anInt) # cast to string and append to a string 

# simple math
number1 = 42.0
number2 = 23.0
print number1 + number2 # add
print number1 - number2 # subtract
print number1 * number2 # multiply
print number1 / number2 # divide
print number2**2        # square
print math.sqrt(number2) # square root 
print (number1 - number2)*number1 # subtract then multiply

#-----------
# LISTS
#-----------
IamAList = [1,2,3,4,5,6,8]
print IamAList
print IamAList[0]   # just the first entry
print len(IamAList) # the length 

#---------------------
# LOOPS & CONDITIONS
#---------------------
# 
# For our purposes simple for loops should do
# Conditional operators can be
# '='   -> equals 
# '>'   -> bigger than   
# '>='  -> bigger or equals 
# '<'   -> smaller than   
# '<='  -> smaller or equals 
# '!='  -> not equals 
 
for entry in IamAList: # loop over every entry in list
    print entry

for i in range(0,4):   # loop: 0,1,2,3 (_not_ 4)  
    print i, IamAList[i]

for entry in IamAList: # loop over list
    if entry > 3:      # only print of entry is bigger than 3
        print entry
    else:
        print 'too small'

for entry in IamAList: # loop over list
    if entry > 3 and entry <= 5:      # only print of entry > 3 and <= 5
        print  entry, 'I am > 3 but >= 5'
    elif entry == 1:
        print 'that\'s one specific entry: ', entry
    else:
        print 'none of the above'

#---------------------
# WRITE TO A FILE
#---------------------
#
# open a file calles my_test_file.out 
# 'w' -> open for writing, overwrite if it exists
# 'a' -> append to a existing file
# ('r' -> open for reading only)
# 
myFile = open('my_test_file.out','w') 

# write one entry
myFile.write('Hello World!\n')

# write list entries to the file
for entry in IamAList:
    myFile.write(str(entry)+'\n')

# write list to the file
for entry in IamAList:
    myFile.write( str(IamAList.index(entry)) + ' ' + str(entry)+'\n')

# close it :)
myFile.close()
